Bug 172478 - libsepol.context_from_record: type sendmail_launch_exec_t is not defined
libsepol.context_from_record: type sendmail_launch_exec_t is not defined
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-04 18:59 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.27.2-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-05 09:15:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-11-04 18:59:49 EST
Description of problem:
Rebuilding of selinux-policy-targeted-1.27.2-13 fails with:

[...]
Building file contexts files...
/usr/bin/checkpolicy -M -o policy.20 policy.conf
/usr/bin/checkpolicy:  loading policy configuration from policy.conf
/usr/bin/checkpolicy:  policy configuration loaded
/usr/bin/checkpolicy:  writing binary representation (version 20) to policy.20
Validating file contexts files ...
/usr/sbin/setfiles -q -c policy.20 file_contexts/file_contexts
libsepol.context_from_record: type sendmail_launch_exec_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert system_u:object_r:
sendmail_launch_exec_t:s0 to sid
file_contexts/file_contexts:  line 1578 has invalid context system_u:object_r:
sendmail_launch_exec_t
make: *** [policy.20] Error 1

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.27.2-13

How reproducible:
Everytime, see above.

Actual results:
Error message.

Expected results:
No error message.
Comment 1 Robert Scheck 2005-11-05 09:15:55 EST
Fixed in -15, thanks.

Note You need to log in before you can comment on or make changes to this bug.